local addonName, addon = ...

--[[-----------------------------------------------------------------------------
Extra Key Binding Data
-------------------------------------------------------------------------------]]
BINDING_HEADER_GRIMUI = "----- GrimUI -----"
BINDING_HEADER_RAID_MOUSEOVER = "Raid Targeting (Mouseover)"
BINDING_HEADER_WORLD_TARGET = "World Target / Flares"

_G["BINDING_NAME_CLICK EWM_BlueFlare:LeftButton"] = "Blue Flare"
_G["BINDING_NAME_CLICK EWM_GreenFlare:LeftButton"] = "Green Flare"
_G["BINDING_NAME_CLICK EWM_PurpleFlare:LeftButton"] = "Purple Flare"
_G["BINDING_NAME_CLICK EWM_RedFlare:LeftButton"] = "Red Flare"
_G["BINDING_NAME_CLICK EWM_YellowFlare:LeftButton"] = "Yellow Flare"

local function CreateEasyMarkerButton(btnName, point, relativeTo, pointRel)
	local frame = CreateFrame("Button", btnName, UIParent, "SecureActionButtonTemplate");
	frame:SetPoint(point, relativeTo, pointRel, 0, -3);
	frame:SetAttribute("type", "macro");
end

CreateEasyMarkerButton("EWM_BlueFlare", "TOPLEFT", UIParent, "TOPLEFT");
EWM_BlueFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button1
]]);

CreateEasyMarkerButton("EWM_GreenFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
EWM_GreenFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button2
]]);

CreateEasyMarkerButton("EWM_PurpleFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
EWM_PurpleFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button3
]]);

CreateEasyMarkerButton("EWM_RedFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
EWM_RedFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button4
]]);

CreateEasyMarkerButton("EWM_YellowFlare", "TOPLEFT", UIParent, "BOTTOMLEFT");
EWM_YellowFlare:SetAttribute("macrotext", [[
/click CompactRaidFrameManagerDisplayFrameLeaderOptionsRaidWorldMarkerButton
/click DropDownList1Button5
]]);